diff -r -u -H -N gcc-2.6.3/cp/parse.c gcc-i2.6.3/cp/parse.c
--- gcc-2.6.3/cp/parse.c	Fri Oct 14 14:51:23 1994
+++ gcc-i2.6.3/cp/parse.c	Tue Dec 20 16:53:24 1994
@@ -5503,147 +5445,147 @@
 		  cplus_decl_attributes (d, yyvsp[0].ttype);
 		  finish_decl (d, NULL_TREE, yyvsp[-1].ttype, 0); ;
     break;}
-case 346:
-#line 1977 "parse.y"
+case 344:
+#line 1973 "parse.y"
 { yyval.ttype = NULL_TREE; ;
     break;}
-case 347:
-#line 1979 "parse.y"
+case 345:
+#line 1975 "parse.y"
 { yyval.ttype = yyvsp[0].ttype; ;
     break;}
-case 348:
-#line 1984 "parse.y"
+case 346:
+#line 1980 "parse.y"
 { yyval.ttype = yyvsp[0].ttype; ;
     break;}
-case 349:
-#line 1986 "parse.y"
+case 347:
+#line 1982 "parse.y"
 { yyval.ttype = chainon (yyvsp[-1].ttype, yyvsp[0].ttype); ;
     break;}
-case 350:
-#line 1991 "parse.y"
+case 348:
+#line 1987 "parse.y"
 { yyval.ttype = yyvsp[-2].ttype; ;
     break;}
-case 351:
-#line 1996 "parse.y"
+case 349:
+#line 1992 "parse.y"
 { yyval.ttype = build_tree_list (NULL_TREE, yyvsp[0].ttype); ;
     break;}
-case 352:
-#line 1998 "parse.y"
+case 350:
+#line 1994 "parse.y"
 { yyval.ttype = chainon (yyvsp[-2].ttype, build_tree_list (NULL_TREE, yyvsp[0].ttype)); ;
     break;}
-case 353:
-#line 2003 "parse.y"
+case 351:
+#line 1999 "parse.y"
 { yyval.ttype = NULL_TREE; ;
     break;}
-case 354:
-#line 2005 "parse.y"
+case 352:
+#line 2001 "parse.y"
 { yyval.ttype = yyvsp[0].ttype; ;
     break;}
-case 355:
-#line 2007 "parse.y"
+case 353:
+#line 2003 "parse.y"
 { yyval.ttype = tree_cons (yyvsp[-3].ttype, NULL_TREE, build_tree_list (NULL_TREE, yyvsp[-1].ttype)); ;
     break;}
-case 356:
-#line 2009 "parse.y"
+case 354:
+#line 2005 "parse.y"
 { yyval.ttype = tree_cons (yyvsp[-5].ttype, NULL_TREE, tree_cons (NULL_TREE, yyvsp[-3].ttype, yyvsp[-1].ttype)); ;
     break;}
-case 357:
-#line 2011 "parse.y"
+case 355:
+#line 2007 "parse.y"
 { yyval.ttype = tree_cons (yyvsp[-3].ttype, NULL_TREE, yyvsp[-1].ttype); ;
     break;}
-case 362:
-#line 2027 "parse.y"
+case 360:
+#line 2023 "parse.y"
 { yyval.ttype = build_tree_list (NULL_TREE, yyvsp[0].ttype); ;
     break;}
-case 363:
-#line 2029 "parse.y"
+case 361:
+#line 2025 "parse.y"
 { yyval.ttype = chainon (yyvsp[-2].ttype, build_tree_list (NULL_TREE, yyvsp[0].ttype)); ;
     break;}
-case 365:
-#line 2035 "parse.y"
+case 363:
+#line 2031 "parse.y"
 { yyval.ttype = build_nt (CONSTRUCTOR, NULL_TREE, NULL_TREE);
 		  TREE_HAS_CONSTRUCTOR (yyval.ttype) = 1; ;
     break;}
-case 366:
-#line 2038 "parse.y"
+case 364:
+#line 2034 "parse.y"
 { yyval.ttype = build_nt (CONSTRUCTOR, NULL_TREE, nreverse (yyvsp[-1].ttype));
 		  TREE_HAS_CONSTRUCTOR (yyval.ttype) = 1; ;
     break;}
-case 367:
-#line 2041 "parse.y"
+case 365:
+#line 2037 "parse.y"
 { yyval.ttype = build_nt (CONSTRUCTOR, NULL_TREE, nreverse (yyvsp[-2].ttype));
 		  TREE_HAS_CONSTRUCTOR (yyval.ttype) = 1; ;
     break;}
-case 368:
-#line 2044 "parse.y"
+case 366:
+#line 2040 "parse.y"
 { yyval.ttype = NULL_TREE; ;
     break;}
-case 369:
-#line 2051 "parse.y"
+case 367:
+#line 2047 "parse.y"
 { yyval.ttype = build_tree_list (NULL_TREE, yyval.ttype); ;
     break;}
-case 370:
-#line 2053 "parse.y"
+case 368:
+#line 2049 "parse.y"
 { yyval.ttype = tree_cons (NULL_TREE, yyvsp[0].ttype, yyval.ttype); ;
     break;}
-case 371:
-#line 2056 "parse.y"
+case 369:
+#line 2052 "parse.y"
 { yyval.ttype = build_tree_list (yyvsp[-2].ttype, yyvsp[0].ttype); ;
     break;}
-case 372:
-#line 2058 "parse.y"
+case 370:
+#line 2054 "parse.y"
 { yyval.ttype = tree_cons (yyvsp[-2].ttype, yyvsp[0].ttype, yyval.ttype); ;
     break;}
-case 373:
-#line 2060 "parse.y"
+case 371:
+#line 2056 "parse.y"
 { yyval.ttype = build_tree_list (yyval.ttype, yyvsp[0].ttype); ;
     break;}
-case 374:
-#line 2062 "parse.y"
+case 372:
+#line 2058 "parse.y"
 { yyval.ttype = tree_cons (yyvsp[-2].ttype, yyvsp[0].ttype, yyval.ttype); ;
     break;}
-case 375:
-#line 2067 "parse.y"
+case 373:
+#line 2063 "parse.y"
 { yyvsp[0].itype = suspend_momentary ();
 		  yyval.ttype = start_enum (yyvsp[-1].ttype); ;
     break;}
-case 376:
-#line 2070 "parse.y"
+case 374:
+#line 2066 "parse.y"
 { yyval.ttype = finish_enum (yyvsp[-3].ttype, yyvsp[-2].ttype);
 		  resume_momentary ((int) yyvsp[-4].itype);
 		  check_for_missing_semicolon (yyvsp[-3].ttype); ;
     break;}
-case 377:
-#line 2074 "parse.y"
+case 375:
+#line 2070 "parse.y"
 { yyval.ttype = finish_enum (start_enum (yyvsp[-2].ttype), NULL_TREE);
 		  check_for_missing_semicolon (yyval.ttype); ;
     break;}
-case 378:
-#line 2077 "parse.y"
+case 376:
+#line 2073 "parse.y"
 { yyvsp[0].itype = suspend_momentary ();
 		  yyval.ttype = start_enum (make_anon_name ()); ;
     break;}
-case 379:
-#line 2080 "parse.y"
+case 377:
+#line 2076 "parse.y"
 { yyval.ttype = finish_enum (yyvsp[-3].ttype, yyvsp[-2].ttype);
 		  resume_momentary ((int) yyvsp[-5].itype);
 		  check_for_missing_semicolon (yyvsp[-3].ttype); ;
     break;}
-case 380:
-#line 2084 "parse.y"
+case 378:
+#line 2080 "parse.y"
 { yyval.ttype = finish_enum (start_enum (make_anon_name()), NULL_TREE);
 		  check_for_missing_semicolon (yyval.ttype); ;
     break;}
-case 381:
-#line 2087 "parse.y"
+case 379:
+#line 2083 "parse.y"
 { yyval.ttype = xref_tag (enum_type_node, yyvsp[0].ttype, NULL_TREE, 0); ;
     break;}
-case 382:
-#line 2089 "parse.y"
+case 380:
+#line 2085 "parse.y"
 { yyval.ttype = xref_tag (enum_type_node, yyvsp[0].ttype, NULL_TREE, 0); ;
     break;}
-case 383:
-#line 2093 "parse.y"
+case 381:
+#line 2089 "parse.y"
 {
 		  int semi;
 		  tree id;
@@ -5695,8 +5637,8 @@
 		  if (! semi)
 		    check_for_missing_semicolon (yyval.ttype); ;
     break;}
-case 384:
-#line 2144 "parse.y"
+case 382:
+#line 2140 "parse.y"
 {
 #if 0
   /* It's no longer clear what the following error is supposed to
@@ -5710,72 +5652,72 @@
 #endif
 		;
     break;}
-case 388:
-#line 2166 "parse.y"
+case 386:
+#line 2162 "parse.y"
 { if (pedantic) pedwarn ("comma at end of enumerator list"); ;
     break;}
-case 390:
-#line 2171 "parse.y"
+case 388:
+#line 2167 "parse.y"
 { error ("storage class specifier `%s' not allowed after struct or class", IDENTIFIER_POINTER (yyvsp[0].ttype)); ;
     break;}
-case 391:
-#line 2173 "parse.y"
+case 389:
+#line 2169 "parse.y"
 { error ("type specifier `%s' not allowed after struct or class", IDENTIFIER_POINTER (yyvsp[0].ttype)); ;
     break;}
-case 392:
-#line 2175 "parse.y"
+case 390:
+#line 2171 "parse.y"
 { error ("type qualifier `%s' not allowed after struct or class", IDENTIFIER_POINTER (yyvsp[0].ttype)); ;
     break;}
-case 393:
-#line 2177 "parse.y"
+case 391:
+#line 2173 "parse.y"
 { error ("no body nor ';' separates two class, struct or union declarations"); ;
     break;}
-case 394:
-#line 2182 "parse.y"
+case 392:
+#line 2178 "parse.y"
 { 
 		  yyungetc (';', 1); current_aggr = yyval.ttype; yyval.ttype = yyvsp[-1].ttype; 
 		  if (yyvsp[-3].ttype == ridpointers[(int) RID_TEMPLATE])
 		    instantiate_class_template (yyval.ttype, 2);
 		;
     break;}
-case 395:
-#line 2191 "parse.y"
+case 393:
+#line 2187 "parse.y"
 { current_aggr = yyval.ttype; yyval.ttype = yyvsp[0].ttype; ;
     break;}
-case 396:
-#line 2193 "parse.y"
+case 394:
+#line 2189 "parse.y"
 { current_aggr = yyval.ttype; yyval.ttype = yyvsp[0].ttype; ;
     break;}
-case 397:
-#line 2195 "parse.y"
+case 395:
+#line 2191 "parse.y"
 { current_aggr = yyval.ttype; yyval.ttype = yyvsp[0].ttype; ;
     break;}
-case 398:
-#line 2197 "parse.y"
+case 396:
+#line 2193 "parse.y"
 { yyungetc ('{', 1);
 		aggr2:
 		  current_aggr = yyval.ttype;
 		  yyval.ttype = yyvsp[-1].ttype;
 		  overload_template_name (yyval.ttype, 0); ;
     break;}
-case 399:
-#line 2203 "parse.y"
+case 397:
+#line 2199 "parse.y"
 { yyungetc (':', 1); goto aggr2; ;
     break;}
-case 401:
-#line 2209 "parse.y"
+case 399:
+#line 2205 "parse.y"
 { current_aggr = yyval.ttype; yyval.ttype = yyvsp[0].ttype; ;
     break;}
-case 402:
-#line 2213 "parse.y"
+case 400:
+#line 2209 "parse.y"
 { yyval.ttype = xref_tag (current_aggr, yyvsp[0].ttype, NULL_TREE, 1); ;
     break;}
-case 403:
-#line 2216 "parse.y"
+case 401:
+#line 2212 "parse.y"
 { yyval.ttype = xref_defn_tag (current_aggr, yyvsp[0].ttype, NULL_TREE); ;
     break;}
-case 404:
-#line 2221 "parse.y"
+case 402:
+#line 2217 "parse.y"
 {
 		  if (yyvsp[0].ttype)
 		    yyval.ttype = xref_tag (current_aggr, yyvsp[-2].ttype, yyvsp[0].ttype, 1);
@@ -5783,8 +5725,8 @@
 		    yyval.ttype = yyvsp[-1].ttype;
 		;
     break;}
-case 405:
-#line 2230 "parse.y"
+case 403:
+#line 2226 "parse.y"
 {
 		  if (yyvsp[0].ttype)
 		    yyval.ttype = xref_defn_tag (current_aggr, yyvsp[-2].ttype, yyvsp[0].ttype);
@@ -5792,29 +5734,29 @@
 		    yyval.ttype = yyvsp[-1].ttype;
 		;
     break;}
-case 406:
-#line 2239 "parse.y"
+case 404:
+#line 2235 "parse.y"
 { yyval.ttype = xref_tag (yyval.ttype, make_anon_name (), NULL_TREE, 0);
 		  yyungetc ('{', 1); ;
     break;}
-case 409:
-#line 2247 "parse.y"
+case 407:
+#line 2243 "parse.y"
 { yyval.ttype = NULL_TREE; ;
     break;}
-case 410:
-#line 2249 "parse.y"
+case 408:
+#line 2245 "parse.y"
 { yyungetc(':', 1); yyval.ttype = NULL_TREE; ;
     break;}
-case 411:
-#line 2251 "parse.y"
+case 409:
+#line 2247 "parse.y"
 { yyval.ttype = yyvsp[0].ttype; ;
     break;}
-case 413:
-#line 2257 "parse.y"
+case 411:
+#line 2253 "parse.y"
 { yyval.ttype = chainon (yyval.ttype, yyvsp[0].ttype); ;
     break;}
-case 414:
-#line 2262 "parse.y"
+case 412:
+#line 2258 "parse.y"
 {
 		  tree type;
 		 do_base_class1:
@@ -5842,8 +5784,8 @@
 		    yyval.ttype = build_tree_list ((tree)access_default, yyval.ttype);
 		;
     break;}
-case 415:
-#line 2289 "parse.y"
+case 413:
+#line 2285 "parse.y"
 {
 		  tree type;
 		 do_base_class2:
@@ -5873,8 +5815,8 @@
 		    yyval.ttype = build_tree_list ((tree) yyval.ttype, yyvsp[0].ttype);
 		;
     break;}
-case 417:
-#line 2322 "parse.y"
+case 415:
+#line 2318 "parse.y"
 {
 		  if (current_aggr == signature_type_node)
 		    {
@@ -5897,8 +5839,8 @@
 		    }
 		;
     break;}
-case 418:
-#line 2344 "parse.y"
+case 416:
+#line 2340 "parse.y"
 {
 		  if (current_aggr == signature_type_node)
 		    {
@@ -5921,14 +5863,14 @@
 		    }
 		;
     break;}
-case 420:
-#line 2370 "parse.y"
+case 418:
+#line 2366 "parse.y"
 { if (yyval.ttype != ridpointers[(int)RID_VIRTUAL])
 		    sorry ("non-virtual access");
 		  yyval.itype = access_default_virtual; ;
     break;}
-case 421:
-#line 2374 "parse.y"
+case 419:
+#line 2370 "parse.y"
 { int err = 0;
 		  if (yyvsp[0].itype == access_protected)
 		    {
@@ -5955,8 +5897,8 @@
 		    }
 		;
     break;}
-case 422:
-#line 2400 "parse.y"
+case 420:
+#line 2396 "parse.y"
 { if (yyvsp[0].ttype != ridpointers[(int)RID_VIRTUAL])
 		    sorry ("non-virtual access");
 		  if (yyval.itype == access_public)
@@ -5964,8 +5906,8 @@
 		  else if (yyval.itype == access_private)
 		    yyval.itype = access_private_virtual; ;
     break;}
-case 423:
-#line 2409 "parse.y"
+case 421:
+#line 2405 "parse.y"
 { tree t = yyvsp[-1].ttype;
 		  push_obstacks_nochange ();
 		  end_temporary_allocation ();
@@ -6026,12 +5968,12 @@
 #endif
 		;
     break;}
-case 424:
-#line 2472 "parse.y"
+case 422:
+#line 2468 "parse.y"
 { yyval.ttype = NULL_TREE; ;
     break;}
-case 425:
-#line 2474 "parse.y"
+case 423:
+#line 2470 "parse.y"
 {
 		  if (current_aggr == signature_type_node)
 		    yyval.ttype = build_tree_list ((tree) access_public, yyval.ttype);
@@ -6039,8 +5981,8 @@
 		    yyval.ttype = build_tree_list ((tree) access_default, yyval.ttype);
 		;
     break;}
-case 426:
-#line 2481 "parse.y"
+case 424:
+#line 2477 "parse.y"
 {
 		  tree visspec = (tree) yyvsp[-2].itype;
 
@@ -6052,20 +5994,20 @@
 		  yyval.ttype = chainon (yyval.ttype, build_tree_list (visspec, yyvsp[0].ttype));
 		;
     break;}
-case 427:
-#line 2492 "parse.y"
+case 425:
+#line 2488 "parse.y"
 {
 		  if (current_aggr == signature_type_node)
 		    error ("access specifier not allowed in signature");
 		;
     break;}
-case 428:
-#line 2502 "parse.y"
+case 426:
+#line 2498 "parse.y"
 { if (yyval.ttype == void_type_node) yyval.ttype = NULL_TREE; 
 		;
     break;}
-case 429:
-#line 2505 "parse.y"
+case 427:
+#line 2501 "parse.y"
 { /* In pushdecl, we created a reverse list of names
 		     in this binding level.  Make sure that the chain
 		     of what we're trying to add isn't the item itself
@@ -6079,64 +6021,64 @@
 		    }
 		;
     break;}
-case 432:
-#line 2523 "parse.y"
+case 430:
+#line 2519 "parse.y"
 { error ("missing ';' before right brace");
 		  yyungetc ('}', 0); ;
     break;}
-case 433:
-#line 2528 "parse.y"
+case 431:
+#line 2524 "parse.y"
 { yyval.ttype = finish_method (yyval.ttype); ;
     break;}
-case 434:
-#line 2530 "parse.y"
+case 432:
+#line 2526 "parse.y"
 { yyval.ttype = finish_method (yyval.ttype); ;
     break;}
-case 435:
-#line 2538 "parse.y"
+case 433:
+#line 2534 "parse.y"
 {
 		  yyval.ttype = grok_x_components (yyval.ttype, yyvsp[0].ttype);
 		;
     break;}
-case 436:
-#line 2542 "parse.y"
+case 434:
+#line 2538 "parse.y"
 { 
 		  yyval.ttype = grok_x_components (yyval.ttype, yyvsp[0].ttype);
 		;
     break;}
-case 437:
-#line 2546 "parse.y"
+case 435:
+#line 2542 "parse.y"
 { yyval.ttype = grokfield (yyval.ttype, NULL_TREE, yyvsp[-2].ttype, NULL_TREE, yyvsp[-1].ttype);
 		  cplus_decl_attributes (yyval.ttype, yyvsp[0].ttype); ;
     break;}
-case 438:
-#line 2549 "parse.y"
+case 436:
+#line 2545 "parse.y"
 { yyval.ttype = grokbitfield (NULL_TREE, NULL_TREE, yyvsp[0].ttype); ;
     break;}
-case 439:
-#line 2551 "parse.y"
+case 437:
+#line 2547 "parse.y"
 { yyval.ttype = NULL_TREE; ;
     break;}
-case 440:
-#line 2562 "parse.y"
+case 438:
+#line 2558 "parse.y"
 { yyval.ttype = build_parse_node (CALL_EXPR, TREE_VALUE (yyvsp[-4].ttype),
 					 yyvsp[-2].ttype, yyvsp[0].ttype);
 		  yyval.ttype = grokfield (yyval.ttype, TREE_CHAIN (yyvsp[-4].ttype), NULL_TREE, NULL_TREE,
 				  NULL_TREE); ;
     break;}
-case 441:
-#line 2567 "parse.y"
+case 439:
+#line 2563 "parse.y"
 { yyval.ttype = build_parse_node (CALL_EXPR, TREE_VALUE (yyvsp[-2].ttype),
 					 empty_parms (), yyvsp[0].ttype);
 		  yyval.ttype = grokfield (yyval.ttype, TREE_CHAIN (yyvsp[-2].ttype), NULL_TREE, NULL_TREE,
 				  NULL_TREE); ;
     break;}
-case 442:
-#line 2576 "parse.y"
+case 440:
+#line 2572 "parse.y"
 { yyval.ttype = NULL_TREE; ;
     break;}
-case 444:
-#line 2579 "parse.y"
+case 442:
+#line 2575 "parse.y"
 {
 		  /* In this context, void_type_node encodes
 		     friends.  They have been recorded elsewhere.  */
@@ -6146,12 +6088,12 @@
 		    yyval.ttype = chainon (yyval.ttype, yyvsp[0].ttype);
 		;
     break;}
-case 445:
-#line 2591 "parse.y"
+case 443:
+#line 2587 "parse.y"
 { yyval.ttype = NULL_TREE; ;
     break;}
-case 447:
-#line 2594 "parse.y"
+case 445:
+#line 2590 "parse.y"
 {
 		  /* In this context, void_type_node encodes
 		     friends.  They have been recorded elsewhere.  */
@@ -6161,105 +6103,105 @@
 		    yyval.ttype = chainon (yyval.ttype, yyvsp[0].ttype);
 		;
     break;}
-case 452:
-#line 2616 "parse.y"
+case 450:
+#line 2612 "parse.y"
 { current_declspecs = yyvsp[-4].ttype;
 		  yyval.ttype = grokfield (yyval.ttype, current_declspecs, yyvsp[-2].ttype, NULL_TREE, yyvsp[-1].ttype);
 		  cplus_decl_attributes (yyval.ttype, yyvsp[0].ttype); ;
     break;}
-case 453:
-#line 2620 "parse.y"
+case 451:
+#line 2616 "parse.y"
 { current_declspecs = yyvsp[-6].ttype;
 		  yyval.ttype = grokfield (yyval.ttype, current_declspecs, yyvsp[-4].ttype, yyvsp[0].ttype, yyvsp[-3].ttype);
 		  cplus_decl_attributes (yyval.ttype, yyvsp[-2].ttype); ;
     break;}
-case 454:
-#line 2624 "parse.y"
+case 452:
+#line 2620 "parse.y"
 { current_declspecs = yyvsp[-4].ttype;
 		  yyval.ttype = grokbitfield (yyval.ttype, current_declspecs, yyvsp[-1].ttype);
 		  cplus_decl_attributes (yyval.ttype, yyvsp[0].ttype); ;
     break;}
-case 455:
-#line 2631 "parse.y"
+case 453:
+#line 2627 "parse.y"
 { current_declspecs = yyvsp[-4].ttype;
 		  yyval.ttype = grokfield (yyval.ttype, current_declspecs, yyvsp[-2].ttype, NULL_TREE, yyvsp[-1].ttype);
 		  cplus_decl_attributes (yyval.ttype, yyvsp[0].ttype); ;
     break;}
-case 456:
-#line 2635 "parse.y"
+case 454:
+#line 2631 "parse.y"
 { current_declspecs = yyvsp[-6].ttype;
 		  yyval.ttype = grokfield (yyval.ttype, current_declspecs, yyvsp[-4].ttype, yyvsp[0].ttype, yyvsp[-3].ttype);
 		  cplus_decl_attributes (yyval.ttype, yyvsp[-2].ttype); ;
     break;}
-case 457:
-#line 2639 "parse.y"
+case 455:
+#line 2635 "parse.y"
 { current_declspecs = yyvsp[-4].ttype;
 		  yyval.ttype = grokbitfield (yyval.ttype, current_declspecs, yyvsp[-1].ttype);
 		  cplus_decl_attributes (yyval.ttype, yyvsp[0].ttype); ;
     break;}
-case 458:
-#line 2643 "parse.y"
+case 456:
+#line 2639 "parse.y"
 { current_declspecs = yyvsp[-3].ttype;
 		  yyval.ttype = grokbitfield (NULL_TREE, current_declspecs, yyvsp[-1].ttype);
 		  cplus_decl_attributes (yyval.ttype, yyvsp[0].ttype); ;
     break;}
-case 459:
-#line 2650 "parse.y"
+case 457:
+#line 2646 "parse.y"
 { yyval.ttype = grokfield (yyval.ttype, current_declspecs, yyvsp[-2].ttype, NULL_TREE, yyvsp[-1].ttype);
 		  cplus_decl_attributes (yyval.ttype, yyvsp[0].ttype); ;
     break;}
-case 460:
-#line 2653 "parse.y"
+case 458:
+#line 2649 "parse.y"
 { yyval.ttype = grokfield (yyval.ttype, current_declspecs, yyvsp[-4].ttype, yyvsp[0].ttype, yyvsp[-3].ttype);
 		  cplus_decl_attributes (yyval.ttype, yyvsp[-2].ttype); ;
     break;}
-case 461:
-#line 2656 "parse.y"
+case 459:
+#line 2652 "parse.y"
 { yyval.ttype = grokbitfield (yyval.ttype, current_declspecs, yyvsp[-1].ttype);
 		  cplus_decl_attributes (yyval.ttype, yyvsp[0].ttype); ;
     break;}
-case 462:
-#line 2662 "parse.y"
+case 460:
+#line 2658 "parse.y"
 { yyval.ttype = grokfield (yyval.ttype, current_declspecs, yyvsp[-2].ttype, NULL_TREE, yyvsp[-1].ttype);
 		  cplus_decl_attributes (yyval.ttype, yyvsp[0].ttype); ;
     break;}
-case 463:
-#line 2665 "parse.y"
+case 461:
+#line 2661 "parse.y"
 { yyval.ttype = grokfield (yyval.ttype, current_declspecs, yyvsp[-4].ttype, yyvsp[0].ttype, yyvsp[-3].ttype);
 		  cplus_decl_attributes (yyval.ttype, yyvsp[-2].ttype); ;
     break;}
-case 464:
-#line 2668 "parse.y"
+case 462:
+#line 2664 "parse.y"
 { yyval.ttype = grokbitfield (yyval.ttype, current_declspecs, yyvsp[-1].ttype);
 		  cplus_decl_attributes (yyval.ttype, yyvsp[0].ttype); ;
     break;}
-case 465:
-#line 2671 "parse.y"
+case 463:
+#line 2667 "parse.y"
 { yyval.ttype = grokbitfield (NULL_TREE, current_declspecs, yyvsp[-1].ttype);
 		  cplus_decl_attributes (yyval.ttype, yyvsp[0].ttype); ;
     break;}
-case 467:
-#line 2682 "parse.y"
+case 465:
+#line 2678 "parse.y"
 { TREE_CHAIN (yyvsp[0].ttype) = yyval.ttype; yyval.ttype = yyvsp[0].ttype; ;
     break;}
-case 468:
-#line 2687 "parse.y"
+case 466:
+#line 2683 "parse.y"
 { yyval.ttype = build_enumerator (yyval.ttype, NULL_TREE); ;
     break;}
-case 469:
-#line 2689 "parse.y"
+case 467:
+#line 2685 "parse.y"
 { yyval.ttype = build_enumerator (yyval.ttype, yyvsp[0].ttype); ;
     break;}
-case 470:
-#line 2695 "parse.y"
+case 468:
+#line 2691 "parse.y"
 { yyval.ttype = build_decl_list (yyval.ttype, yyvsp[0].ttype); ;
     break;}
-case 471:
-#line 2697 "parse.y"
+case 469:
+#line 2693 "parse.y"
 { yyval.ttype = build_decl_list (yyval.ttype, NULL_TREE); ;
     break;}
-case 472:
-#line 2701 "parse.y"
+case 470:
+#line 2697 "parse.y"
 {
 		  if (flag_ansi)
 		    pedwarn ("ANSI C++ forbids array dimensions with parenthesized type in new");
@@ -6267,54 +6209,54 @@
 		  yyval.ttype = build_decl_list (TREE_PURPOSE (yyvsp[-4].ttype), yyval.ttype);
 		;
     break;}
-case 473:
-#line 2711 "parse.y"
+case 471:
+#line 2707 "parse.y"
 { yyval.ttype = NULL_TREE; ;
     break;}
+case 472:
+#line 2709 "parse.y"
+{ yyval.ttype = decl_tree_cons (NULL_TREE, yyvsp[0].ttype, yyval.ttype); ;
+    break;}
+case 473:
+#line 2714 "parse.y"
+{ yyval.ttype = IDENTIFIER_AS_LIST (yyval.ttype); ;
+    break;}
 case 474:
-#line 2713 "parse.y"
+#line 2716 "parse.y"
 { yyval.ttype = decl_tree_cons (NULL_TREE, yyvsp[0].ttype, yyval.ttype); ;
     break;}
 case 475:
-#line 2718 "parse.y"
-{ yyval.ttype = IDENTIFIER_AS_LIST (yyval.ttype); ;
+#line 2724 "parse.y"
+{ yyval.itype = suspend_momentary (); ;
     break;}
 case 476:
-#line 2720 "parse.y"
-{ yyval.ttype = decl_tree_cons (NULL_TREE, yyvsp[0].ttype, yyval.ttype); ;
+#line 2725 "parse.y"
+{ resume_momentary ((int) yyvsp[-1].itype); yyval.ttype = yyvsp[0].ttype; ;
     break;}
 case 477:
-#line 2728 "parse.y"
-{ yyval.itype = suspend_momentary (); ;
+#line 2732 "parse.y"
+{ yyval.ttype = make_pointer_declarator (yyvsp[-1].ttype, yyvsp[0].ttype); ;
     break;}
 case 478:
-#line 2729 "parse.y"
-{ resume_momentary ((int) yyvsp[-1].itype); yyval.ttype = yyvsp[0].ttype; ;
+#line 2734 "parse.y"
+{ yyval.ttype = make_reference_declarator (yyvsp[-1].ttype, yyvsp[0].ttype); ;
     break;}
 case 479:
 #line 2736 "parse.y"
-{ yyval.ttype = make_pointer_declarator (yyvsp[-1].ttype, yyvsp[0].ttype); ;
+{ yyval.ttype = make_pointer_declarator (NULL_TREE, yyvsp[0].ttype); ;
     break;}
 case 480:
 #line 2738 "parse.y"
-{ yyval.ttype = make_reference_declarator (yyvsp[-1].ttype, yyvsp[0].ttype); ;
+{ yyval.ttype = make_reference_declarator (NULL_TREE, yyvsp[0].ttype); ;
     break;}
 case 481:
 #line 2740 "parse.y"
-{ yyval.ttype = make_pointer_declarator (NULL_TREE, yyvsp[0].ttype); ;
-    break;}
-case 482:
-#line 2742 "parse.y"
-{ yyval.ttype = make_reference_declarator (NULL_TREE, yyvsp[0].ttype); ;
-    break;}
-case 483:
-#line 2744 "parse.y"
 { tree arg = make_pointer_declarator (yyvsp[-1].ttype, yyvsp[0].ttype);
 		  yyval.ttype = build_parse_node (SCOPE_REF, yyvsp[-2].ttype, arg);
 		;
     break;}
-case 485:
-#line 2752 "parse.y"
+case 483:
+#line 2748 "parse.y"
 {
 		  /* Remember that this name has been used in the class
 		     definition, as per [class.scope0] */
